public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "James Le Cuirot" <chewi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-board/sjeng/
Date: Thu, 10 Sep 2020 22:06:48 +0000 (UTC)	[thread overview]
Message-ID: <1599775590.f8b267e11eb17e00f6c9ac273a4ad3efd702b724.chewi@gentoo> (raw)

commit:     f8b267e11eb17e00f6c9ac273a4ad3efd702b724
Author:     Alexey Sokolov <sokolov <AT> google <DOT> com>
AuthorDate: Thu Sep  3 21:17:18 2020 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Sep 10 22:06:30 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f8b267e1

games-board/sjeng: apply debian patches

Install missing files

Closes: https://bugs.gentoo.org/707270
Package-Manager: Portage-3.0.4, Repoman-2.3.23
Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Closes: https://github.com/gentoo/gentoo/pull/17407
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-board/sjeng/Manifest                |  1 +
 games-board/sjeng/sjeng-11.2-r2.ebuild    | 18 -------------
 games-board/sjeng/sjeng-11.2_p8_p1.ebuild | 45 +++++++++++++++++++++++++++++++
 3 files changed, 46 insertions(+), 18 deletions(-)

diff --git a/games-board/sjeng/Manifest b/games-board/sjeng/Manifest
index 58e4f3114c5..a2b9a964747 100644
--- a/games-board/sjeng/Manifest
+++ b/games-board/sjeng/Manifest
@@ -1 +1,2 @@
 DIST Sjeng-Free-11.2.tar.gz 174019 BLAKE2B c50f312ce4f569b17cf7f240fe27e9d6d27e83e260c7549ba13ee612a357700b1642c2b274637af3e0e0f45c35e46f088cdcd5dce6bb62591ef600b97d8c6d6b SHA512 cda3409d732ac1b07e83ccc0d3063d24497651097c633500dfca66fbb3021532053082ac57a5e23909dd1016a2bae07f166e56b82c4ce834749a101c9ee444b8
+DIST sjeng_11.2-8.1.diff.gz 13341 BLAKE2B 187cb85e504511504ee9ed8bc2c6d6c19815e3e267099f1e98ea8964145e81074e2dd6b298dba76e91e2824dec1b4c6ac3d43b24f1ab970362c3bf07da87541d SHA512 2d470e0bee12a5f06808653ab3607301622d8e4f802295c04853b973c553074850c1fed278fe4696a652773af71dcac461d428d7f776d5a967256c4f39c627c9

diff --git a/games-board/sjeng/sjeng-11.2-r2.ebuild b/games-board/sjeng/sjeng-11.2-r2.ebuild
deleted file mode 100644
index 9cf968e7d40..00000000000
--- a/games-board/sjeng/sjeng-11.2-r2.ebuild
+++ /dev/null
@@ -1,18 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-DESCRIPTION="Console based chess interface"
-HOMEPAGE="http://sjeng.sourceforge.net/"
-SRC_URI="mirror://sourceforge/sjeng/Sjeng-Free-${PV}.tar.gz"
-
-LICENSE="GPL-2"
-KEYWORDS="~amd64 ~x86"
-SLOT="0"
-IUSE=""
-
-RDEPEND="sys-libs/gdbm:0="
-DEPEND=${RDEPEND}
-
-S="${WORKDIR}/Sjeng-Free-${PV}"

diff --git a/games-board/sjeng/sjeng-11.2_p8_p1.ebuild b/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
new file mode 100644
index 00000000000..19dd3691097
--- /dev/null
+++ b/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit prefix
+
+MY_PV=$(ver_cut 1-2)
+# 11.2_p8_p1 -> 11.2-8.1
+MY_DEB_PV="${MY_PV}-$(ver_cut 4).$(ver_cut 6)"
+
+DESCRIPTION="Console based chess interface"
+HOMEPAGE="http://sjeng.sourceforge.net/"
+SRC_URI="
+	mirror://sourceforge/sjeng/Sjeng-Free-${MY_PV}.tar.gz
+	http://deb.debian.org/debian/pool/main/s/sjeng/sjeng_${MY_DEB_PV}.diff.gz
+"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE=""
+
+RDEPEND="sys-libs/gdbm:0="
+DEPEND="${RDEPEND}"
+BDEPEND="dev-util/quilt"
+
+S="${WORKDIR}/Sjeng-Free-${MY_PV}"
+
+src_prepare() {
+	default
+
+	eapply "${WORKDIR}/sjeng_${MY_DEB_PV}.diff"
+	QUILT_PATCHES="debian/patches" QUILT_SERIES="debian/patches/series" quilt push -a || die
+	hprefixify book.c rcfile.c
+}
+
+src_install() {
+	default
+
+	insinto /etc
+	doins sjeng.rc
+	insinto /usr/share/games/sjeng
+	doins books/*.opn || die
+}


             reply	other threads:[~2020-09-10 22:06 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-10 22:06 James Le Cuirot [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-06-04 16:05 [gentoo-commits] repo/gentoo:master commit in: games-board/sjeng/ Arthur Zamarin
2023-06-04 10:54 WANG Xuerui
2020-12-02 12:31 David Seifert
2020-10-22 21:23 James Le Cuirot
2020-09-10 22:06 James Le Cuirot

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1599775590.f8b267e11eb17e00f6c9ac273a4ad3efd702b724.chewi@gentoo \
    --to=chewi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox